<template lang="pug">
mixin mailto(email)
  a(v-if=email :href="`mailto:${" + email + "}`") #[i.fa.fa-envelope.text-dark]

BaseModal(ref='modal' :title='title')
  slot
  BaseCollapsible.mt-2(v-if='contributors' :expand='true')
    template(#header)
      h3 #[i.fa.fa-users] Contributors
    .col-12
      p.my-1(v-for='c in contributors')
        span {{c.name}}
        span.mx-1.text-muted.small {{ c.description }}
        span.mx-1(v-if='c.email') #[a(:href="`mailto:${c.email}`") #[i.fa.fa-envelope.text-dark]]
        span.mx-1(v-if='c.gitprofile') #[a(:href="`${c.gitprofile}`" target="_blank" rel="noopener") #[i.fa.fa-code-branch.text-dark]]

  BaseCollapsible.mt-2(v-if='support' :expand='true')
    template(#header)
      h3 #[i.fa.fa-life-ring] Support
    .col-12
      p
        span {{ support.name }}
        br
        span(v-if='support.phone')  #[a(:href="`tel:${support.phone}`") #[i.fa.fa-phone.text-dark] {{support.phone}}]
        br
        span(v-if='support.email')  #[a(:href="`mailto:${support.email}`") #[i.fa.fa-envelope.text-dark] {{support.email}}]
  BaseCollapsible.mt-2(v-if='components')
    template(#header)
      h3 #[i.fa.fa-cubes] Components
    .col-12
      .row
        BaseCollapsible.col-12(:key='c.name' v-for='c in components')
          template(#header)
            span(v-if='c.homepage') #[a(:href=`c.homepage` @click.stop='' target="_blank" rel="noopener") {{ c.name }}]
            span(v-else) {{c.name}}
            span.mx-1.small.text-muted {{ c.description }}
          .col-12
            | #[strong.text-muted Version]: v{{ c.version }}#[span(v-if='c.hash' :title='c.hash') -{{c.hash.slice(0, 8)}}]
          .col-12(v-if='c.license')
            | #[strong.text-muted License]: {{ c.license }}
          .col-12(v-if='c.author')
            | #[strong.text-muted Author]: {{ c.author.name }} #[+mailto("c.author.email")]
          .col-12(v-if='c.contributors')
            | #[strong.text-muted Contributors]: {{ c.contributors.map((c) => c.name).join(', ') }}
          .col-12.mb-1
</template>
<script src="./BaseAbout.vue.js" />
